<?xml version='1.0'?>
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  
  <xsl:preserve-space elements="*"/>
  
  <xsl:strip-space elements=""/>
  
  
  <xsl:template name="element.id">
    <xsl:param name="element" select="."/>
    <xsl:choose>
      <xsl:when test="$element/@id">
	<xsl:value-of select="$element/@id"/>
      </xsl:when>
      <xsl:otherwise>
	<xsl:value-of select="generate-id($element)"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  
  <xsl:template name="div.depth">
    <xsl:choose>
      <xsl:when test="name(.) = 'div'">
	<xsl:value-of select="count(ancestor::div)"/>
      </xsl:when>
      <xsl:otherwise>
	<xsl:value-of select="'0'"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  <xsl:template name="nbsp">
    <xsl:text disable-output-escaping="no">&#160;</xsl:text>
  </xsl:template>

  <xsl:template name="dash.nbsp">
    <xsl:text disable-output-escaping="no">&#160;-&#160;</xsl:text>
  </xsl:template>

  <xsl:template name="comma">
    <xsl:text disable-output-escaping="no">, </xsl:text>
  </xsl:template>

  <xsl:template name="todo">
    <xsl:param name="what"/>
    <font color="#FF0000">[<xsl:value-of select="$what" disable-output-escaping="no"/>] TO BE DONE</font>
  </xsl:template>
  
  
</xsl:stylesheet>

<!-- Keep this comment at the end of the file
Local variables:
mode: xml
sgml-always-quote-attributes:t
sgml-indent-step:2
sgml-indent-data:t
sgml-default-dtd-file:"/local/led/share/dtd/xsl/xsl.ced"
End:
-->
